<template>
	<div class="lookVideo">
		<!-- <m-header v-if="headerStatus" /> -->
		<div v-for="i in videoUrl" :key="i">
			<video class="video" controls="controls" webkit-playsinline="true" type="video/mp4" preload="auto" :src="i"></video>
		</div>
	</div>
</template>
<script>
	import { browser } from '@/utils/common'
	export default {
		name: "lookVideo",
		data() {
			const query = this.$route.query
			let tempUrl = decodeURIComponent(query.url)
			tempUrl = tempUrl.split(',')
			return {
				headerStatus: false,
                videoUrl: tempUrl
			};
		},
		mounted() {
			let params = this.$route.query
			if(params.Authorization) {
				localStorage.setItem('Authorization', decodeURI(params.Authorization))
			}
			// 判断是否在app里面
			if(!browser().android && !browser().iPhone) {
				this.headerStatus = true
			} else {
				document.title = '考级回看'
			}
		}
	};
</script>
<style lang="less" scoped>
	@import url("../../assets/commonLess/variable");
	.lookVideo {
        min-height: 100vh;
        background-color: #fff;
        overflow-x: hidden;
        overflow-y: auto;
	}
    .video {
        width: 100%;
		height: 2rem;
		background: #f6f6f6;
    }
</style>
